Newland:
  Toubiz:
    Poi:
      Neos:
        filter:
          articleType:
            1:
              combine: 'AND'

              join:
                - column: 'entity.categories'
                  alias: 'categories'
                - column: 'entity.cities'
                  alias: 'cities'
                - column: 'cities.mainAddress'
                  alias: 'mainAddress'

              children:
                categories:
                  type: 'section'
                  combine: 'AND'
                  title:
                    id: 'section.categories'
                    source: 'Views/Filter'
                    package: 'Newland.Toubiz.Poi.Neos'
                  children:
                    - type: 'checkbox_list'
                      combine: 'OR'
                      title:
                        id: 'group.categories'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      databaseColumn: 'categories'
                      queryString: 'categories'
                      dataSource: 'newland-toubiz-poi-neos-categories'
                      dataSourceArguments:
                        articleType: 1
                      override:
                        property: 'preselectedCategories'
                        behaviour: 'preselect'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4

                locations:
                  type: 'section'
                  combine: 'AND'
                  title:
                    id: 'section.cities'
                    source: 'Views/Filter'
                    package: 'Newland.Toubiz.Poi.Neos'
                  children:
                    cities:
                      type: 'Newland\Toubiz\Poi\Neos\Filter\Items\CityList'
                      combine: 'OR'
                      title:
                        id: 'group.cities'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      databaseColumn: 'cities.Persistence_Object_Identifier'
                      queryString: 'city'
                      dataSource: 'newland-toubiz-poi-neos-pois'
                      dataSourceArguments:
                        mainType: 6
                      override:
                        property: preselectedCities
                        behaviour: 'limit_selectable'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4
                    regions:
                      type: '\Newland\Toubiz\Poi\Neos\Filter\Items\RegionList'
                      combine: 'OR'
                      title:
                        id: 'group.regions'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      databaseColumn: 'mainAddress.zip'
                      queryString: 'region'
                      dataSource: 'newland-toubiz-poi-neos-regions'
                      override:
                        property: regions
                        behaviour: 'limit_selectable'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4

                kitchen:
                  type: 'section'
                  combine: 'AND'
                  title:
                    id: 'section.kitchen'
                    source: 'Views/Filter'
                    package: 'Newland.Toubiz.Poi.Neos'
                  children:
                    gastronomyStyle:
                      type: 'attribute_checkbox_list'
                      combine: 'OR'
                      queryString: 'gastronomyStyle'
                      databaseColumn: "entity.Persistence_Object_Identifier"
                      title:
                        id: 'group.typeOfCuisine'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      dataSource: 'newland-neosfiltering-direct'
                      dataSourceArguments:
                        filterGroup: typeOfCuisine
                      override:
                        property: 'preselectedProperties'
                        behaviour: 'limit_selectable'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4
                    alternativeDiets:
                      type: 'attribute_checkbox_list'
                      combine: 'OR'
                      queryString: 'habits'
                      databaseColumn: "entity.Persistence_Object_Identifier"
                      title:
                        id: 'group.habitsAndAllergies'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      dataSource: 'newland-neosfiltering-direct'
                      dataSourceArguments:
                        filterGroup: habitsAndAllergies
                      override:
                        property: 'preselectedProperties'
                        behaviour: 'limit_selectable'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4
                    excelentCuisine:
                      type: 'attribute_checkbox_list'
                      combine: 'OR'
                      queryString: 'excelentCuisine'
                      databaseColumn: "entity.Persistence_Object_Identifier"
                      title:
                        id: 'group.excelentCuisine'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      dataSource: 'newland-neosfiltering-direct'
                      dataSourceArguments:
                        filterGroup: excelentCuisine
                      override:
                        property: 'preselectedProperties'
                        behaviour: 'preselect'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4

                meals:
                  type: 'section'
                  combine: 'AND'
                  title:
                    id: 'section.meals'
                    source: 'Views/Filter'
                    package: 'Newland.Toubiz.Poi.Neos'
                  children:
                    kitchen:
                      type: 'attribute_checkbox_list'
                      combine: 'OR'
                      queryString: 'kitchen'
                      databaseColumn: "entity.Persistence_Object_Identifier"
                      title:
                        id: 'group.meals'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      dataSource: 'newland-neosfiltering-direct'
                      dataSourceArguments:
                        filterGroup: meals
                      override:
                        property: 'preselectedProperties'
                        behaviour: 'preselect'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4

                price:
                  type: 'section'
                  combine: 'AND'
                  title:
                    id: 'section.price'
                    source: 'Views/Filter'
                    package: 'Newland.Toubiz.Poi.Neos'
                  children:
                    price:
                      type: 'attribute_checkbox_list'
                      combine: 'OR'
                      queryString: 'priceSegment'
                      databaseColumn: "entity.Persistence_Object_Identifier"
                      title:
                        id: 'group.priceSegment'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      dataSource: 'newland-neosfiltering-direct'
                      dataSourceArguments:
                        filterGroup: priceSegment
                      override:
                        property: 'preselectedProperties'
                        behaviour: 'preselect'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4

                features:
                  type: 'section'
                  combine: 'AND'
                  title:
                    id: 'section.features'
                    source: 'Views/Filter'
                    package: 'Newland.Toubiz.Poi.Neos'
                  children:
                    features:
                      type: 'attribute_checkbox_list'
                      combine: 'OR'
                      queryString: 'service'
                      databaseColumn: "entity.Persistence_Object_Identifier"
                      title:
                        id: 'group.features'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      dataSource: 'newland-neosfiltering-direct'
                      dataSourceArguments:
                        filterGroup: features
                      override:
                        property: 'preselectedProperties'
                        behaviour: 'preselect'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4
                    groups:
                      type: 'attribute_checkbox_list'
                      combine: 'OR'
                      queryString: 'groups'
                      databaseColumn: "entity.Persistence_Object_Identifier"
                      title:
                        id: 'group.groups'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      dataSource: 'newland-neosfiltering-direct'
                      dataSourceArguments:
                        filterGroup: groups
                      override:
                        property: 'preselectedProperties'
                        behaviour: 'preselect'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4
#                prizes:
#                  type: 'section'
#                  combine: 'AND'
#                  title:
#                    id: 'section.prizes'
#                    source: 'Views/Filter'
#                    package: 'Newland.Toubiz.Poi.Neos'
#                  children:
#                    prizes:
#                      type: 'attribute_checkbox_list'
#                      combine: 'OR'
#                      queryString: 'prizes'
#                      databaseColumn: "entity.Persistence_Object_Identifier"
#                      title:
#                        id: 'group.prizes'
#                        source: 'Views/Filter'
#                        package: 'Newland.Toubiz.Poi.Neos'
#                      dataSource: 'newland-neosfiltering-direct'
#                      dataSourceArguments:
#                        filterGroup: prizes
#                      override:
#                        property: 'preselectedProperties'
#                        behaviour: 'preselect'
#                      searchBoxDisplayLimit: 15
#                      maxItemsBeforeExpandable: 4

                    _families:
                      hideInFrontend: true
                      type: 'attribute_checkbox_list'
                      combine: 'OR'
                      queryString: 'families'
                      databaseColumn: "entity.Persistence_Object_Identifier"
                      title:
                        id: 'property.attribute.families'
                        source: 'Models/Article'
                        package: 'Newland.Toubiz.Poi.Neos'
                      dataSource: 'newland-neosfiltering-direct'
                      dataSourceArguments:
                        filterGroup: families
                      override:
                        property: 'preselectedProperties'
                        behaviour: 'limit_selectable'

                    _services:
                      hideInFrontend: true
                      type: 'attribute_checkbox_list'
                      combine: 'OR'
                      queryString: 'services'
                      databaseColumn: "entity.Persistence_Object_Identifier"
                      title:
                        id: 'property.attribute.services'
                        source: 'Models/Article'
                        package: 'Newland.Toubiz.Poi.Neos'
                      dataSource: 'newland-neosfiltering-direct'
                      dataSourceArguments:
                        filterGroup: gastroServices
                      override:
                        property: 'preselectedProperties'
                        behaviour: 'limit_selectable'

                pagination:
                  type: 'pagination_input'
                  queryString: 'page'
                  defaultState: 1
                  attributes:
                    'data-toubiz-results-list.page': ''

